Loading...
Searching...
No Matches
etl::ibitset::bit_reference Class Reference

The reference type returned. More...

`#include <bitset_legacy.h>`

## Public Member Functions

| operator bool () const
| Conversion operator.
| bit_reference (const bit_reference &other)
| Copy constructor.
bit_reference & | operator= (bool b)
| Assignment operator.
bit_reference & | operator= (const bit_reference &r)
| Assignment operator.
bit_reference & | flip ()
| Flip the bit.
bool | operator~ () const
| Return the logical inverse of the bit.

## Friends

class | ibitset

## Detailed Description

The reference type returned.

The documentation for this class was generated from the following file:

- include/etl/private/bitset_legacy.h